clear
installdir=`dirname $0`/
destdir=$HOME"/TechNicholMojo/mojoshrunk"
echo "This will install MoJoShrunk (TechNichol Mojo, Inc.) do you wish to continue [Y/n]?"
read answer
case "$answer" in
  [Yy]*)
;;
*)
exit 0
;;
esac


java_loc=`which java 2>>/dev/null`
if [ "$java_loc" = "" ]
then
echo ""
echo "**************************************"
echo "Java Run Time Environment not detected."
echo "MoJoShrunk installation can continue, but MoJoShrunk will not function until the Java Run Time is installed."
echo "**************************************"
echo ""
echo "[ENTER] to continue."
read
fi

echo "Enter the complete path to the directory where you want to install MoJoShrunk."
echo "You must specify the full pathname and have write privileges."
echo -n "Directory:  [$destdir]: "
read new_dir

if [ "$new_dir" != "" ]
then
  destdir=$new_dir
fi

# dest dir exists and is a directory
if [ ! -d "$destdir" ]
then
mkdir -p $destdir 2>>/dev/null
fi
if [ ! -d $destdir ]
then
echo "Error Creating/Writing to : " $destdir
exit 0
fi

# cp files
mv "$installdir"mojoshrunk.jar $destdir
mv "$installdir"mojoshrunk_trans.gif $destdir

home=$HOME
gnomedesk=$HOME"/.gnome-desktop"
kdedesk=$HOME"/Desktop"
if [ -d $gnomedesk ]
then
out=$gnomedesk"/mojoshrunk.desktop"
echo "" > $out
echo "[Desktop Entry]" >> $out
echo "Name=MoJoShrunk" >> $out
echo "Name[en_US.ISO8859-1]=MoJoShrunk" >> $out
echo "Comment[en_US.ISO8859-1]=MoJoShrunk" >> $out
echo "Name[de]=MoJoShrunk" >> $out
echo "Comment[de]=MoJoShrunk" >> $out
echo "Name[fr]=MoJoShrunk" >> $out
echo "Comment[fr]=MoJoShrunk" >> $out
echo "Name[ja]=MoJoShrunk" >> $out
echo "Comment[ja]=MoJoShrunk" >> $out
echo "Name[it]=MoJoShrunk" >> $out
echo "Comment[it]=MoJoShrunk" >> $out
echo "Name[es]=MoJoShrunk" >> $out
echo "Comment[es]=MoJoShrunk" >> $out
echo "Exec=java -jar " $destdir"/mojoshrunk.jar" >> $out
echo "Icon="$destdir"/mojoshrunk_trans.gif" >> $out
echo "Terminal=false" >> $out
echo "MultipleArgs=false" >> $out
echo "Type=Application" >> $out
fi

if [ -d $kdedesk ]
then
out=$kdedesk"/MoJo_MoJoShrunk"
echo "[Desktop Entry]" > $out
echo "Comment=" >> $out
echo "Comment[en_US]=" >> $out
echo "Encoding=UTF-8" >> $out
echo "Exec=java -jar '$destdir/mojoshrunk.jar'" >> $out
echo "GenericName=" >> $out
echo "GenericName[en_US]=" >> $out
echo "Icon="$destdir"/mojoshrunk_trans.gif" >> $out
echo "MimeType=" >> $out
echo "Name=MoJoShrunk" >> $out
echo "Name[en_US]=MoJoShrunk" >> $out
echo "Path=" >> $out
echo "ServiceTypes=" >> $out
echo "SwallowExec=" >> $out
echo "SwallowTitle=" >> $out
echo "Terminal=false" >> $out
echo "TerminalOptions=" >> $out
echo "Type=Application" >> $out
echo "X-KDE-SubstituteUID=false" >> $out
echo "X-KDE-Username=" >> $out
fi

echo ""
echo "MoJoShrunk is now installed.  Please visit http://www.technichol.com/mojoshrunk if more assistance is needed."

if [ "$java_loc" = "" ]
then
echo ""
echo "Please install the Java RunTime Environment before starting MoJoShrunk."
fi
sleep 5
 
